Subject: Re: [PATCH] clone: local URLs are not for ssh

From: Torsten Bögershausen <[email-masked]>
Date: Wed, 02 Oct 2013 20:40:05 +0200

On 2013-09-29 02.33, Duy Nguyen wrote:
> On Sun, Sep 29, 2013 at 2:37 AM, Torsten Bögershausen <[email-masked]> wrote:
>> "git clone /foo/bar:baz" or "git clone ../foo/bar:baz"
>> are meant to clone from the local file system, and not to clone
>> from a remote server over git-over-ssh.
> 
> I don't think this is necessary. Commit 6000334 should detect both
> cases fine because both have a slash before the first colon.
Sorry for the noise, I noticed it when I was trying to construct test cases.

What do we think about adding this at the end of t5505:

test_expect_success 'fetch fail [noexistinghost0:2223]:blink.git' '
	(
		! git fetch [noexistinghost0:2223]:blink.git 2>err &&
		grep ssh err &&
		rm err
	)
'

test_expect_success 'fetch fail noexistinghost1:2223:blink.git' '
	(
		! git fetch "noexistinghost1:2223:blink.git" 2>err &&
		grep ssh err &&
		rm err
	)
'

test_expect_success 'fetch fail noexistinghost2:2223' '
	(
		! git fetch "noexistinghost2:2223" 2>err &&
		grep ssh err &&
		rm err
	)
'
test_expect_success 'fetch fail ./noexistinghost4:2223"' '
	(
		! git fetch "./noexistinghost4:2223" 2>err &&
		grep "does not appear to be a git repository" err &&
		rm err
	)
'